summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Schauer <josch@debian.org>2018-03-27 15:45:52 +0200
committerJohannes Schauer <josch@debian.org>2018-03-27 16:56:04 +0200
commitd17c55e1e098eac8e034f2bda1f039232fe97a8e (patch)
tree8b889d3509d6878e2afe29b6fb8e6659c1ab3129
parent75e6dfbc0442c417293ab4ac42196acb89611bad (diff)
Add autopkgtest
-rw-r--r--debian/nginx.conf2
-rw-r--r--debian/tests/control3
-rw-r--r--debian/tests/general12
3 files changed, 16 insertions, 1 deletions
diff --git a/debian/nginx.conf b/debian/nginx.conf
index a8744a8..fb1828c 100644
--- a/debian/nginx.conf
+++ b/debian/nginx.conf
@@ -4,7 +4,7 @@ server {
index index.php;
location /index.php {
- fastcgi_pass unix:/var/run/php5-fpm.sock;
+ fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
fastcgi_index index.php;
fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
include fastcgi_params;
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..3c2fbae
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: general
+Restrictions: allow-stderr, isolation-container, needs-root
+Depends: @, curl, nginx, php-fpm
diff --git a/debian/tests/general b/debian/tests/general
new file mode 100644
index 0000000..14fae17
--- /dev/null
+++ b/debian/tests/general
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -ex
+
+rm /etc/nginx/sites-enabled/default
+cp /usr/share/doc/rss-bridge/examples/nginx.conf /etc/nginx/sites-available/rss-bridge
+ln -s ../sites-available/rss-bridge /etc/nginx/sites-enabled/rss-bridge
+
+systemctl restart nginx
+systemctl restart php7.2-fpm
+
+curl --silent localhost | grep '<h1>RSS-Bridge</h1>'